// Это чтобы не материлась
declare function require(moduleName: string): any;

// .default нужен для того, чтобы получить объект, экспортируемый по умолчанию
const api: any = require('core/ApiClient').default;

export default class ApiClient {

  /** Вызывает метод api.
  * Ожидает имя метода в виде ИмяСервися/ИмяМетода
  * и массив параметров согласно описанию api
  */
  static call(method: string, data?: Object): any {
    return api.call(method, data);
    // return api.call(method, data);
  }

  /** Вызывает метод api. 
  * Ожидает имя метода в виде ИмяСервися/ИмяМетода
  */
  static post(method: string, params?: any): any {
    return api.post(method, params);
  }
}
